Upgrade from 37 to 40 but still older php

Discussion in 'Installation/Configuration' started by Check, Sep 29, 2011.

  1. Check

    Check New Member

    I did the upgrade straight to 40 and now im thinking i should have done them one at a time.

    It says "Current PHP version: 5.1.2", im trying to use json encode which requires 5.2.

    How can I upgrade php?


    using ispconfig 2.2.40, ubuntu 6.06 LTS
    Last edited: Sep 29, 2011
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    The php version of your websites is from ubuntu and not ispconfig, so a ispconfig update can never change the php version that is used in your websites.

    To get a newer php version for your sites, you can check if ubuntu offers newer php packages for 10.04 or you might have to upgrdae to a newer Ubuntu version.
  3. Check

    Check New Member


    I tried upgrading the os via network, since I'm no good at linux that didn't go.

    Since I'm very out of date I think I'll just move to a new server.

Share This Page